#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
    
    //SERIAL SETUP
    mySerial.listDevices();
    vector <ofSerialDeviceInfo> deviceList = mySerial.getDeviceList();
    
    //serial port must match what was declared in arduino Code ... 9600
    mySerial.setup(8, 9600);
    
    mySerial.flush(); //flush the serial port once before we start
    //END SERIAL

}

//--------------------------------------------------------------
void testApp::update(){
    
    //SERIAL PART
    //If recieved the flag from Arduino ... i.e "a"
    if(mySerial.available() >= NUM_MSG_BYTES){
        
        //go through all received bytes
        for(int i=0; i<NUM_MSG_BYTES; i++){
            
            //read this byte
            int val = mySerial.readByte();
            
            //store it in the array at index i
            bytesReceived[i] = val;
        }
        
        numMsgRecvd++;
        
        //Prints to port so you can read the vlues being recieved
        cout << "bytesReceived[0] = " << bytesReceived[0] << endl;
        cout << "bytesReceived[1] = " << bytesReceived[1] << endl;
        cout << "------------------------"<<endl;
        
        //flush super important it clears the buffer
        // if buffer gets full you can't keep receiving values
        mySerial.flush();
        
        //Sending flag to Ardunio so that arduino knows to send the current values
        mySerial.writeByte('A'); //request another message!
    }
    //END SERIAL

}

//--------------------------------------------------------------
void testApp::draw(){

}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void testApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void testApp::dragEvent(ofDragInfo dragInfo){ 

}
